<template>
  <div>
    <span v-if="!isSet" class="text-light">&lt;no-data&gt;</span>
    <span v-else-if="!hasValue" class="text-light">&lt;empty&gt;</span>
    <div
      v-else
      style="overflow: hidden;white-space: nowrap;text-overflow: ellipsis;"
    >
      <font-awesome-icon
        :icon="['fas', 'star-of-life']"
        v-if="hasNext"
        title="edited"
        style="font-size: xx-small;"
      />
      {{ theValue }}
    </div>
  </div>
</template>

<script>
export default {
  props: {
    dist: {
      type: Object,
      default: null,
    },
    next: {
      type: Object,
      default: null,
    },
  },
  computed: {
    isSet() {
      return (
        !(this.dist === undefined || this.dist === null) ||
        !(this.next === undefined || this.next === null)
      );
    },
    hasValue() {
      return this.hasDist || this.hasNext;
    },
    hasDist() {
      return !!this.dist && !!this.dist.value && this.dist.value !== '';
    },
    hasNext() {
      return !!this.next && !!this.next.value && this.next.value !== '';
    },
    theValue() {
      if (this.hasNext) {
        return this.next.value;
      }

      if (this.hasDist) {
        return this.dist.value;
      }

      return '#error#';
    },
  },
};
</script>
